package org.s4s.gui.views;

import com.vaadin.navigator.ViewChangeListener;
import com.vaadin.ui.Notification;
import com.vaadin.ui.UI;
import org.s4s.services.util.Roles;
import org.s4s.services.util.Views;

/**
 *
 * @author Holger
 */
public class BenutzerkontoView extends TemplateView {

    @Override
    public void enter(ViewChangeListener.ViewChangeEvent event) {
        if (session.getAttribute(Roles.CURRENTUSER) == null) {
            UI.getCurrent().getNavigator().navigateTo(Views.LOGIN);
            Notification.show(null, "Einloggen, um auf Ihr Benutzerkonto zugreifen zu können!",
                     Notification.Type.WARNING_MESSAGE);
        }
        this.setUp();
    }

    public void setUp() {

    }

}
