package org.s4s.gui.views;

import com.vaadin.navigator.ViewChangeListener;
import com.vaadin.server.FontAwesome;
import com.vaadin.shared.ui.label.ContentMode;
import com.vaadin.ui.Button;
import com.vaadin.ui.Label;
import com.vaadin.ui.Panel;
import com.vaadin.ui.TextArea;
import com.vaadin.ui.TextField;
import com.vaadin.ui.UI;
import com.vaadin.ui.VerticalLayout;
import org.s4s.services.util.Views;

/**
 * Created by Max-Desktop on 16.05.2017.
 */
public class ContactView extends TemplateView {

    @Override
    public void enter(ViewChangeListener.ViewChangeEvent event) {
        this.setUp();
    }

    public void setUp() {
        setMargin(true);

        final TextField tfEMail = new TextField("E-Mail");
        final TextField tfBetreff = new TextField("Betreff");
        final TextArea taNachricht = new TextArea("Ihr Anliegen");
        final Button bSenden = new Button("Senden", FontAwesome.SEND);
        final Label lSpace = new Label("&nbsp", ContentMode.HTML);

        VerticalLayout vLayout = new VerticalLayout();
        vLayout.addComponents(tfEMail, tfBetreff, taNachricht, lSpace, bSenden);

        Panel pKontakt = new Panel("Kontakt Anfrage");
//        pKontakt.addStyleName("kontakt");

        //this.addComponent(pKontakt);
        //this.setComponentAlignment(pKontakt, Alignment.MIDDLE_CENTER);
        bSenden.addClickListener(e
                -> UI.getCurrent().getNavigator().navigateTo(Views.KONTAKTBESTAETIGUNG));

        pKontakt.setContent(vLayout);

        super.setUpFooterAndHeader(pKontakt);
    }
}
