package org.s4s.gui.views;

import com.vaadin.navigator.ViewChangeListener;
import com.vaadin.server.FontAwesome;
import com.vaadin.ui.Button;
import com.vaadin.ui.Label;
import com.vaadin.ui.Panel;
import com.vaadin.ui.UI;
import com.vaadin.ui.VerticalLayout;
import org.s4s.services.util.Views;

/**
 *
 * @author JanPhilipp
 */
public class KaufbestaetigungView extends TemplateView {

    @Override
    public void enter(ViewChangeListener.ViewChangeEvent event) {
        this.setUp();
    }

    private void setUp() {
        Panel panel = new Panel();
        panel.setSizeUndefined();

        VerticalLayout content = new VerticalLayout();

        Button button = new Button("Weiter shoppen");
        button.setIcon(FontAwesome.BOOK);
        button.addClickListener(e
                -> UI.getCurrent().getNavigator().navigateTo(Views.WELCOME));

        Label label = new Label("Vielen Dank für ihren Einkauf! Wenn sie weitershoppen wollen... :)");

        content.addComponent(label);
        content.addComponent(button);

        content.setMargin(true);

        panel.setContent(content);
        //this.addComponent(panel);
        //this.setComponentAlignment(panel, Alignment.MIDDLE_CENTER);

        super.setUpFooterAndHeader(panel);
    }
}
