package org.s4s.services.db;

import java.sql.*;
import java.util.*;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author Holger
 */
public class JDBCConnection {

    private static JDBCConnection connection = null;
    //?currentSchema=ERR
    private final String url = "jdbc:postgresql://dumbo.inf.fh-bonn-rhein-sieg.de/svolle2s";
    private Connection conn;

    public static JDBCConnection getInstance() {
        if (connection == null) {
            connection = new JDBCConnection();
        }
        return connection;
    }

    private JDBCConnection() {
        this.initConnection();
    }

    private void initConnection() {
        try {
            DriverManager.registerDriver(new org.postgresql.Driver());
            this.openConnection();
        } catch (SQLException ex) {
            Logger.getLogger(JDBCConnection.class.getName()).log(Level.SEVERE, null, ex);
        }
    }

    private void openConnection() {

        Properties props = new Properties();
        props.setProperty("user", "svolle2s");
        props.setProperty("password", "svolle2s");

        try {
            this.conn = DriverManager.getConnection(this.url, props);

        } catch (SQLException ex) {
            Logger.getLogger(JDBCConnection.class.getName()).log(Level.SEVERE, null, ex);
        }
    }

    public Statement getStatement() {
        try {
            if (this.conn.isClosed()) {
                this.openConnection();
            }
            return this.conn.createStatement();
        } catch (SQLException ex) {
            Logger.getLogger(JDBCConnection.class.getName()).log(Level.SEVERE, null, ex);
            return null;
        }
    }

    public void closeConnection() {
        try {
            conn.close();
        } catch (SQLException ex) {
            Logger.getLogger(JDBCConnection.class.getName()).log(Level.SEVERE, null, ex);
        }
    }
}
