package org.s4s.services.db;

import org.junit.Test;
import org.s4s.exceptions.NoSuchUserOrPassword;
import org.s4s.modell.dto.User;

import java.sql.*;

import static org.junit.Assert.*;

/**
 * Created by uerdingen on 05.06.17.
 */
public class JDBCConnectionTest {
    private Statement st;
    private String bname;
    private final String url = "jdbc:postgresql://dumbo.inf.fh-bonn-rhein-sieg.de/svolle2s";

    @Test
    public void selectTest() throws SQLException, NoSuchUserOrPassword {

        try (ResultSet set = JDBCConnection.getInstance().getStatement().executeQuery("SELECT u.\"benutzername\""
                + " FROM \"ERR\".\"user\" u "
                + " WHERE u.benutzername = '" + "bknobl2s" + "' "
                + " AND u.passwort = '" + "peterlustig" + "';")) {

            if (set.next()) {
                bname = set.getString("benutzername");
            } else {
                throw new NoSuchUserOrPassword();
            }
        }
        assertEquals("bknobl2s", bname);
        }


    @Test
    public void getConnectionTest() {
        JDBCConnection connection = (JDBCConnection) JDBCConnection.getInstance();
        assertEquals(connection != null, true);
    }
}