package org.s4s.dao;

import java.util.List;
import org.s4s.exceptions.DAOException;
import org.s4s.modell.dto.Product;
import org.s4s.modell.dto.Shop;

/**
 *
 * @author Holger
 */
public interface ProductDAO {

    List<Product> getProductByName(String typ) throws DAOException;

    List<Product> getProductByDescription(String typ) throws DAOException;

    Product getProductById(int id) throws DAOException;

    Shop getProductOwner(Product product) throws DAOException;
}
