package org.s4s.dao.impl;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import org.s4s.services.db.JDBCConnection;

/**
 *
 * @author Holger
 */
public abstract class AbstractDatabaseClass {

    private final JDBCConnection conn;

    public AbstractDatabaseClass() {
        this.conn = JDBCConnection.getInstance();
    }

    protected ResultSet executeQuery(String sql) throws SQLException {
        Statement stat = conn.getStatement();
        ResultSet set = stat.executeQuery(sql);
        stat.closeOnCompletion();
        return set;
    }

    /*protected int executeUpdate(String sql) throws SQLException {
        Statement stat = conn.getStatement();
        int set = stat.executeUpdate(sql);
        stat.closeOnCompletion();
        return set;
    }*/
}
