package org.s4s.process.control;

import com.vaadin.server.VaadinSession;
import com.vaadin.ui.UI;
import java.sql.*;
import org.s4s.dao.KundenDAO;
import org.s4s.dao.impl.AbstractDatabaseClass;
import org.s4s.exceptions.DAOException;
import org.s4s.exceptions.NoSuchUserOrPassword;
import org.s4s.modell.dto.User;
import org.s4s.services.util.Roles;
import org.s4s.services.util.Views;

/**
 *
 * @author Holger
 */
public class LoginControl extends AbstractDatabaseClass implements KundenDAO {

    @Override
    public void getUserByCredentials(String username, String password) throws NoSuchUserOrPassword, DAOException {
        //Von Max und Knobie
        //Von Holger vervollständigt

        try (ResultSet set = executeQuery("SELECT *"
                + " FROM \"ERR\".\"user\" u "
                + " WHERE u.benutzername = '" + username + "' "
                + " AND u.passwort = '" + password + "';")) {
            if (!set.next()) {
                throw new NoSuchUserOrPassword();
            }
            String bname = set.getString("benutzername");
            int userId = set.getInt("userID");

            User user = new User(bname, userId);

            createSession(user);

        } catch (SQLException ex) {
            throw new DAOException(ex);
        }
    }

    @Override
    public void createSession(User user) throws NoSuchUserOrPassword, DAOException {
        VaadinSession session = UI.getCurrent().getSession();
        session.setAttribute(Roles.CURRENTUSER, user);
        UI.getCurrent().getNavigator().navigateTo(Views.WELCOME);
    }
}
