package org.s4s.dao.impl;

import org.junit.Test;
import org.s4s.dao.KundenDAO;
import org.s4s.exceptions.DAOException;
import org.s4s.exceptions.NoSuchUserOrPassword;
import org.s4s.process.control.LoginControl;

/**
 * Created by uerdingen on 03.06.17.
 */
public class LoginControl_Test {

    private final KundenDAO kundenDAO = new LoginControl();

    @Test(expected = NoSuchUserOrPassword.class)
    public void login_Test() throws NoSuchUserOrPassword, DAOException {
        kundenDAO.getUserByCredentials("testuser", "54321");
    }

}
